{% extends template_base %}
{% load i18n %}
{% load active_tag %}
{% load md2 %}
{% load humanize %}

{% block title %}Detalle de Recibo{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'receipt-list' %}">Recibos</a></li>
		<li class="breadcrumb-item active">{{ receipt.pk }}</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">{{ receipt.worker.name }}</h1>
	<!-- end page-header -->

	<!-- begin row -->
	<div class="row">
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Datos generales</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					<a href="download_pdf/" > <button type="button" class="btn btn-secondary" title="Descargar pdf"><i class="fa fa-download" ></i></button></a>
					<table class="table table-striped">
						<thead>
							<tr>
								<th>Campo</th>
								<th>Valor</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td><strong>Mes</strong></td><td>{{ object.get_month_display }}</td>
							</tr>
							<tr>
								<td><strong>Año</strong></td><td>{{ object.year}}</td>
							</tr>
                            <tr>
								<td><strong>Fecha de Emisión</strong></td><td>{{ object.issue_date.date }}</td>
							</tr>
                            <tr>
								<td><strong>Monto</strong></td><td>{{ object.amount}}</td>
							</tr>
                            <tr>
								<td><strong>Tasa de Cambio</strong></td><td>{{ object.exchange_rate }}</td>
							</tr>
                            <tr>
								<td><strong>Trabajador</strong></td><td>{{ object.worker.name }}</td>
							</tr>
                            <tr>
								<td><strong>Moneda</strong></td><td>{{ object.currency.name }}</td>
							</tr>
							<tr>
								<td><strong>Cuenta Bancaria</strong></td><td>{{ object.bank_account }}</td>
							</tr>
						</tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
		<!-- end col-6 -->
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-4">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Items Aplicados</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
					<table class="table table-striped">
						<thead>
							<tr>
							<th>Nombre</th>
							<th>Monto</th>
							</tr>
						</thead>
						<tbody>
							{% for ia in applied_items %}
							<tr>
								<td>{{ ia.item.name }}</td>
								<td>{{ ia.real_amount }}</td>
							</tr>
							{% endfor %}
						
						</tbody>
					</table>
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
		<!-- end col-6 -->
	</div>
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->
	{%else%}
	<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
		<h4 class="alert-heading">No encontrado</h4>
		<hr>
		<h5 class="mb-0">Cambie de operador o vuelva al listado de clientes.</h5>
	</div>
	{%endif%}
{% endblock %}